/* AUTOGENERATED FILE. DO NOT EDIT. */

/*=======Automagically Detected Files To Include=====*/
#include "unity.h"
#ifndef TEST_INSTANCES
#define TEST_INSTANCES
#endif /* TEST_INSTANCES */
#include "stdint.h"

/*=======External Functions This Runner Calls=====*/
extern void setUp(void);
extern void tearDown(void);
extern void test_empty_after_init(void);
extern void test_open_after_beingOpen(void);
extern void test_aResetHandle_is_closed(void);
extern void test_close_open_close(void);
extern void test_nonempty_after_addingAnElement(void);
extern void test_writeAndRead_then_emptyAgain(void);
extern void test_writeAndReadAFew(void);
extern void test_writeAndRollover(void);
extern void test_writeUntilFull(void);
extern void test_writeUntilFull_then_read(void);
extern void test_write_then_read_then_write(void);
extern void test_readAndRollover(void);
extern void test_readAndRollover_with_contentChecking(void);
extern void test_openRead_should_assert_when_alreadyOpenToRead(void);
extern void test_openWrite_should_assert_when_alreadyOpenToWrite(void);
extern void test_openRead_should_assert_when_badSentinel(void);
extern void test_read_should_assert_when_noReadHandle(void);
extern void test_write_should_assert_when_noWriteHandle(void);
extern void test_openWrite_should_assert_when_badSentinel(void);
extern void test_init_should_assert_when_descMemoryIsNotAligned(void);
extern void test_close_should_assert_when_badHandle(void);
extern void test_given_init_emptiness_should_beEqualtToCapacity(void);
extern void test_emptiness_deeply(void);
extern void test_given_init_fullness_should_beZero(void);
extern void test_fullness_deeply(void);
extern void test_translate_to_bbe_addresses(void);
extern void test_write_should_always_addOnlyoneElement(void);
extern void test_read_should_always_addOnlyoneElement(void);


/*=======Mock Management=====*/
static void CMock_Init(void)
{
}
static void CMock_Verify(void)
{
}
static void CMock_Destroy(void)
{
}

/*=======Test Reset Options=====*/
void resetTest(void);
void resetTest(void)
{
  tearDown();
  CMock_Verify();
  CMock_Destroy();
  CMock_Init();
  setUp();
}
void verifyTest(void);
void verifyTest(void)
{
  CMock_Verify();
}

/*=======Test Runner Used To Run Each Test=====*/
static void run_test(UnityTestFunction func, const char* name, UNITY_LINE_TYPE line_num)
{
    Unity.CurrentTestName = name;
    Unity.CurrentTestLineNumber = line_num;
#ifdef UNITY_USE_COMMAND_LINE_ARGS
    if (!UnityTestMatches())
        return;
#endif
    Unity.NumberOfTests++;
    UNITY_CLR_DETAILS();
    UNITY_EXEC_TIME_START();
    CMock_Init();
    if (TEST_PROTECT())
    {
        setUp();
        func();
    }
    if (TEST_PROTECT())
    {
        tearDown();
        CMock_Verify();
    }
    CMock_Destroy();
    UNITY_EXEC_TIME_STOP();
    UnityConcludeTest();
}

/*=======MAIN=====*/
int main(void)
{
  UnityBegin("test_shared_ring.c");
  run_test(test_empty_after_init, "test_empty_after_init", 83);
  run_test(test_open_after_beingOpen, "test_open_after_beingOpen", 89);
  run_test(test_aResetHandle_is_closed, "test_aResetHandle_is_closed", 95);
  run_test(test_close_open_close, "test_close_open_close", 102);
  run_test(test_nonempty_after_addingAnElement, "test_nonempty_after_addingAnElement", 128);
  run_test(test_writeAndRead_then_emptyAgain, "test_writeAndRead_then_emptyAgain", 138);
  run_test(test_writeAndReadAFew, "test_writeAndReadAFew", 149);
  run_test(test_writeAndRollover, "test_writeAndRollover", 171);
  run_test(test_writeUntilFull, "test_writeUntilFull", 190);
  run_test(test_writeUntilFull_then_read, "test_writeUntilFull_then_read", 209);
  run_test(test_write_then_read_then_write, "test_write_then_read_then_write", 231);
  run_test(test_readAndRollover, "test_readAndRollover", 243);
  run_test(test_readAndRollover_with_contentChecking, "test_readAndRollover_with_contentChecking", 271);
  run_test(test_openRead_should_assert_when_alreadyOpenToRead, "test_openRead_should_assert_when_alreadyOpenToRead", 303);
  run_test(test_openWrite_should_assert_when_alreadyOpenToWrite, "test_openWrite_should_assert_when_alreadyOpenToWrite", 313);
  run_test(test_openRead_should_assert_when_badSentinel, "test_openRead_should_assert_when_badSentinel", 323);
  run_test(test_read_should_assert_when_noReadHandle, "test_read_should_assert_when_noReadHandle", 334);
  run_test(test_write_should_assert_when_noWriteHandle, "test_write_should_assert_when_noWriteHandle", 342);
  run_test(test_openWrite_should_assert_when_badSentinel, "test_openWrite_should_assert_when_badSentinel", 350);
  run_test(test_init_should_assert_when_descMemoryIsNotAligned, "test_init_should_assert_when_descMemoryIsNotAligned", 361);
  run_test(test_close_should_assert_when_badHandle, "test_close_should_assert_when_badHandle", 371);
  run_test(test_given_init_emptiness_should_beEqualtToCapacity, "test_given_init_emptiness_should_beEqualtToCapacity", 379);
  run_test(test_emptiness_deeply, "test_emptiness_deeply", 389);
  run_test(test_given_init_fullness_should_beZero, "test_given_init_fullness_should_beZero", 416);
  run_test(test_fullness_deeply, "test_fullness_deeply", 426);
  run_test(test_translate_to_bbe_addresses, "test_translate_to_bbe_addresses", 452);
  run_test(test_write_should_always_addOnlyoneElement, "test_write_should_always_addOnlyoneElement", 462);
  run_test(test_read_should_always_addOnlyoneElement, "test_read_should_always_addOnlyoneElement", 469);

  return UnityEnd();
}
